Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.webfragment30
Interface WebFragment30Descriptor

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<WebFragment30Descriptor>

All Known Implementing Classes:
  WebFragment30DescriptorImpl

    public interface WebFragment30Descriptor

extends org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<WebFragment30Descriptor>

This deployment descriptor provides the functionalities as described in the web-fragment_3_0.xsd specification

Example:

`WebFragment30Descriptor descriptor = Descriptors.create(WebFragment30Descriptor.class);`

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`ParamValueType<WebFragment30Descriptor>` | `contextParam()` Returns the `context-param` element
`DataSourceType<WebFragment30Descriptor>` | `dataSource()` Returns the `data-source` element
`WebFragment30Descriptor` | `distributable()`
`EjbLocalRefType<WebFragment30Descriptor>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<WebFragment30Descriptor>` | `ejbRef()` Returns the `ejb-ref` element
`EnvEntryType<WebFragment30Descriptor>` | `envEntry()` Returns the `env-entry` element
`ErrorPageType<WebFragment30Descriptor>` | `errorPage()` Returns the `error-page` element
`FilterType<WebFragment30Descriptor>` | `filter()` Returns the `filter` element
`FilterMappingType<WebFragment30Descriptor>` | `filterMapping()` Returns the `filter-mapping` element
`java.util.List<ParamValueType<WebFragment30Descriptor>>` | `getContextParamList()` Returns all `context-param` elements
`java.util.List<DataSourceType<WebFragment30Descriptor>>` | `getDataSourceList()` Returns all `data-source` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<EjbLocalRefType<WebFragment30Descriptor>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.util.List<EjbRefType<WebFragment30Descriptor>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<EnvEntryType<WebFragment30Descriptor>>` | `getEnvEntryList()` Returns all `env-entry` elements
`java.util.List<ErrorPageType<WebFragment30Descriptor>>` | `getErrorPageList()` Returns all `error-page` elements
`java.util.List<FilterType<WebFragment30Descriptor>>` | `getFilterList()` Returns all `filter` elements
`java.util.List<FilterMappingType<WebFragment30Descriptor>>` | `getFilterMappingList()` Returns all `filter-mapping` elements
`java.util.List<IconType<WebFragment30Descriptor>>` | `getIconList()` Returns all `icon` elements
`java.util.List<JspConfigType<WebFragment30Descriptor>>` | `getJspConfigList()` Returns all `jsp-config` elements
`java.util.List<ListenerType<WebFragment30Descriptor>>` | `getListenerList()` Returns all `listener` elements
`java.util.List<LocaleEncodingMappingListType<WebFragment30Descriptor>>` | `getLocaleEncodingMappingListList()` Returns all `locale-encoding-mapping-list` elements
`java.util.List<LoginConfigType<WebFragment30Descriptor>>` | `getLoginConfigList()` Returns all `login-config` elements
`java.util.List<MessageDestinationType<WebFragment30Descriptor>>` | `getMessageDestinationList()` Returns all `message-destination` elements
`java.util.List<MessageDestinationRefType<WebFragment30Descriptor>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.util.List<MimeMappingType<WebFragment30Descriptor>>` | `getMimeMappingList()` Returns all `mime-mapping` elements
`java.util.List<java.lang.String>` | `getNameList()` Returns all `name` elements
`java.util.List<OrderingType<WebFragment30Descriptor>>` | `getOrderingList()` Returns all `ordering` elements
`java.util.List<PersistenceContextRefType<WebFragment30Descriptor>>` | `getPersistenceContextRefList()` Returns all `persistence-context-ref` elements
`java.util.List<PersistenceUnitRefType<WebFragment30Descriptor>>` | `getPersistenceUnitRefList()` Returns all `persistence-unit-ref` elements
`java.util.List<LifecycleCallbackType<WebFragment30Descriptor>>` | `getPostConstructList()` Returns all `post-construct` elements
`java.util.List<LifecycleCallbackType<WebFragment30Descriptor>>` | `getPreDestroyList()` Returns all `pre-destroy` elements
`java.util.List<ResourceEnvRefType<WebFragment30Descriptor>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<WebFragment30Descriptor>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.util.List<SecurityConstraintType<WebFragment30Descriptor>>` | `getSecurityConstraintList()` Returns all `security-constraint` elements
`java.util.List<SecurityRoleType<WebFragment30Descriptor>>` | `getSecurityRoleList()` Returns all `security-role` elements
`java.util.List<ServletType<WebFragment30Descriptor>>` | `getServletList()` Returns all `servlet` elements
`java.util.List<ServletMappingType<WebFragment30Descriptor>>` | `getServletMappingList()` Returns all `servlet-mapping` elements
`java.util.List<SessionConfigType<WebFragment30Descriptor>>` | `getSessionConfigList()` Returns all `session-config` elements
`WebAppVersionType` | `getVersion()` Returns the `version` element
`java.lang.String` | `getVersionAsString()` Returns the `version` element
`java.util.List<WelcomeFileListType<WebFragment30Descriptor>>` | `getWelcomeFileListList()` Returns all `welcome-file-list` elements
`IconType<WebFragment30Descriptor>` | `icon()` Returns the `icon` element
`java.lang.Boolean` | `isDistributable()`
`java.lang.Boolean` | `isMetadataComplete()` Returns the `metadata-complete` element
`JspConfigType<WebFragment30Descriptor>` | `jspConfig()` Returns the `jsp-config` element
`ListenerType<WebFragment30Descriptor>` | `listener()` Returns the `listener` element
`LocaleEncodingMappingListType<WebFragment30Descriptor>` | `localeEncodingMappingList()` Returns the `locale-encoding-mapping-list` element
`LoginConfigType<WebFragment30Descriptor>` | `loginConfig()` Returns the `login-config` element
`MessageDestinationType<WebFragment30Descriptor>` | `messageDestination()` Returns the `message-destination` element
`MessageDestinationRefType<WebFragment30Descriptor>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`MimeMappingType<WebFragment30Descriptor>` | `mimeMapping()` Returns the `mime-mapping` element
`OrderingType<WebFragment30Descriptor>` | `ordering()` Returns the `ordering` element
`PersistenceContextRefType<WebFragment30Descriptor>` | `persistenceContextRef()` Returns the `persistence-context-ref` element
`PersistenceUnitRefType<WebFragment30Descriptor>` | `persistenceUnitRef()` Returns the `persistence-unit-ref` element
`LifecycleCallbackType<WebFragment30Descriptor>` | `postConstruct()` Returns the `post-construct` element
`LifecycleCallbackType<WebFragment30Descriptor>` | `preDestroy()` Returns the `pre-destroy` element
`WebFragment30Descriptor` | `removeAllContextParam()` Removes all `context-param` elements
`WebFragment30Descriptor` | `removeAllDataSource()` Removes all `data-source` elements
`WebFragment30Descriptor` | `removeAllDescription()` Removes the `description` element
`WebFragment30Descriptor` | `removeAllDisplayName()` Removes the `display-name` element
`WebFragment30Descriptor` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`WebFragment30Descriptor` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`WebFragment30Descriptor` | `removeAllEnvEntry()` Removes all `env-entry` elements
`WebFragment30Descriptor` | `removeAllErrorPage()` Removes all `error-page` elements
`WebFragment30Descriptor` | `removeAllFilter()` Removes all `filter` elements
`WebFragment30Descriptor` | `removeAllFilterMapping()` Removes all `filter-mapping` elements
`WebFragment30Descriptor` | `removeAllIcon()` Removes all `icon` elements
`WebFragment30Descriptor` | `removeAllJspConfig()` Removes all `jsp-config` elements
`WebFragment30Descriptor` | `removeAllListener()` Removes all `listener` elements
`WebFragment30Descriptor` | `removeAllLocaleEncodingMappingList()` Removes all `locale-encoding-mapping-list` elements
`WebFragment30Descriptor` | `removeAllLoginConfig()` Removes all `login-config` elements
`WebFragment30Descriptor` | `removeAllMessageDestination()` Removes all `message-destination` elements
`WebFragment30Descriptor` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`WebFragment30Descriptor` | `removeAllMimeMapping()` Removes all `mime-mapping` elements
`WebFragment30Descriptor` | `removeAllName()` Removes the `name` element
`WebFragment30Descriptor` | `removeAllOrdering()` Removes all `ordering` elements
`WebFragment30Descriptor` | `removeAllPersistenceContextRef()` Removes all `persistence-context-ref` elements
`WebFragment30Descriptor` | `removeAllPersistenceUnitRef()` Removes all `persistence-unit-ref` elements
`WebFragment30Descriptor` | `removeAllPostConstruct()` Removes all `post-construct` elements
`WebFragment30Descriptor` | `removeAllPreDestroy()` Removes all `pre-destroy` elements
`WebFragment30Descriptor` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`WebFragment30Descriptor` | `removeAllResourceRef()` Removes all `resource-ref` elements
`WebFragment30Descriptor` | `removeAllSecurityConstraint()` Removes all `security-constraint` elements
`WebFragment30Descriptor` | `removeAllSecurityRole()` Removes all `security-role` elements
`WebFragment30Descriptor` | `removeAllServlet()` Removes all `servlet` elements
`WebFragment30Descriptor` | `removeAllServletMapping()` Removes all `servlet-mapping` elements
`WebFragment30Descriptor` | `removeAllSessionConfig()` Removes all `session-config` elements
`WebFragment30Descriptor` | `removeAllWelcomeFileList()` Removes all `welcome-file-list` elements
`WebFragment30Descriptor` | `removeMetadataComplete()` Removes the `metadata-complete` attribute
`WebFragment30Descriptor` | `removeVersion()` Removes the `version` attribute
`ResourceEnvRefType<WebFragment30Descriptor>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<WebFragment30Descriptor>` | `resourceRef()` Returns the `resource-ref` element
`SecurityConstraintType<WebFragment30Descriptor>` | `securityConstraint()` Returns the `security-constraint` element
`SecurityRoleType<WebFragment30Descriptor>` | `securityRole()` Returns the `security-role` element
`ServletType<WebFragment30Descriptor>` | `servlet()` Returns the `servlet` element
`ServletMappingType<WebFragment30Descriptor>` | `servletMapping()` Returns the `servlet-mapping` element
`SessionConfigType<WebFragment30Descriptor>` | `sessionConfig()` Returns the `session-config` element
`WebFragment30Descriptor` | `setDescription(java.lang.String description)` Creates a new `description` element
`WebFragment30Descriptor` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`WebFragment30Descriptor` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`WebFragment30Descriptor` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`WebFragment30Descriptor` | `setMetadataComplete(java.lang.Boolean metadataComplete)` Sets the `metadata-complete` attribute
`WebFragment30Descriptor` | `setName(java.lang.String name)` Creates a new `name` element
`WebFragment30Descriptor` | `setNameList(java.lang.String... values)` Creates for all String objects representing `name` elements, a new `name` element
`WebFragment30Descriptor` | `setVersion(java.lang.String version)` Sets the `version` attribute
`WebFragment30Descriptor` | `setVersion(WebAppVersionType version)` Sets the `version` attribute
`WelcomeFileListType<WebFragment30Descriptor>` | `welcomeFileList()` Returns the `welcome-file-list` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Descriptor
`exportAsString, exportTo, getDescriptorName`

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace
`addDefaultNamespaces, addNamespace, getNamespaces, removeAllNamespaces`

Method Detail

### distributable

    WebFragment30Descriptor distributable()

### isDistributable

    java.lang.Boolean isDistributable()

### removeAllContextParam

    WebFragment30Descriptor removeAllContextParam()

  Removes all `context-param` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### contextParam

    ParamValueType<WebFragment30Descriptor> contextParam()

  Returns the `context-param` element

  Returns:
    the node defined for the element `context-param`

### getContextParamList

    java.util.List<ParamValueType<WebFragment30Descriptor>> getContextParamList()

  Returns all `context-param` elements

  Returns:
    list of `context-param`

### removeAllFilter

    WebFragment30Descriptor removeAllFilter()

  Removes all `filter` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### filter

    FilterType<WebFragment30Descriptor> filter()

  Returns the `filter` element

  Returns:
    the node defined for the element `filter`

### getFilterList

    java.util.List<FilterType<WebFragment30Descriptor>> getFilterList()

  Returns all `filter` elements

  Returns:
    list of `filter`

### removeAllFilterMapping

    WebFragment30Descriptor removeAllFilterMapping()

  Removes all `filter-mapping` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### filterMapping

    FilterMappingType<WebFragment30Descriptor> filterMapping()

  Returns the `filter-mapping` element

  Returns:
    the node defined for the element `filter-mapping`

### getFilterMappingList

    java.util.List<FilterMappingType<WebFragment30Descriptor>> getFilterMappingList()

  Returns all `filter-mapping` elements

  Returns:
    list of `filter-mapping`

### removeAllListener

    WebFragment30Descriptor removeAllListener()

  Removes all `listener` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### listener

    ListenerType<WebFragment30Descriptor> listener()

  Returns the `listener` element

  Returns:
    the node defined for the element `listener`

### getListenerList

    java.util.List<ListenerType<WebFragment30Descriptor>> getListenerList()

  Returns all `listener` elements

  Returns:
    list of `listener`

### removeAllServlet

    WebFragment30Descriptor removeAllServlet()

  Removes all `servlet` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### servlet

    ServletType<WebFragment30Descriptor> servlet()

  Returns the `servlet` element

  Returns:
    the node defined for the element `servlet`

### getServletList

    java.util.List<ServletType<WebFragment30Descriptor>> getServletList()

  Returns all `servlet` elements

  Returns:
    list of `servlet`

### removeAllServletMapping

    WebFragment30Descriptor removeAllServletMapping()

  Removes all `servlet-mapping` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### servletMapping

    ServletMappingType<WebFragment30Descriptor> servletMapping()

  Returns the `servlet-mapping` element

  Returns:
    the node defined for the element `servlet-mapping`

### getServletMappingList

    java.util.List<ServletMappingType<WebFragment30Descriptor>> getServletMappingList()

  Returns all `servlet-mapping` elements

  Returns:
    list of `servlet-mapping`

### removeAllSessionConfig

    WebFragment30Descriptor removeAllSessionConfig()

  Removes all `session-config` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### sessionConfig

    SessionConfigType<WebFragment30Descriptor> sessionConfig()

  Returns the `session-config` element

  Returns:
    the node defined for the element `session-config`

### getSessionConfigList

    java.util.List<SessionConfigType<WebFragment30Descriptor>> getSessionConfigList()

  Returns all `session-config` elements

  Returns:
    list of `session-config`

### removeAllMimeMapping

    WebFragment30Descriptor removeAllMimeMapping()

  Removes all `mime-mapping` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### mimeMapping

    MimeMappingType<WebFragment30Descriptor> mimeMapping()

  Returns the `mime-mapping` element

  Returns:
    the node defined for the element `mime-mapping`

### getMimeMappingList

    java.util.List<MimeMappingType<WebFragment30Descriptor>> getMimeMappingList()

  Returns all `mime-mapping` elements

  Returns:
    list of `mime-mapping`

### removeAllWelcomeFileList

    WebFragment30Descriptor removeAllWelcomeFileList()

  Removes all `welcome-file-list` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### welcomeFileList

    WelcomeFileListType<WebFragment30Descriptor> welcomeFileList()

  Returns the `welcome-file-list` element

  Returns:
    the node defined for the element `welcome-file-list`

### getWelcomeFileListList

    java.util.List<WelcomeFileListType<WebFragment30Descriptor>> getWelcomeFileListList()

  Returns all `welcome-file-list` elements

  Returns:
    list of `welcome-file-list`

### removeAllErrorPage

    WebFragment30Descriptor removeAllErrorPage()

  Removes all `error-page` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### errorPage

    ErrorPageType<WebFragment30Descriptor> errorPage()

  Returns the `error-page` element

  Returns:
    the node defined for the element `error-page`

### getErrorPageList

    java.util.List<ErrorPageType<WebFragment30Descriptor>> getErrorPageList()

  Returns all `error-page` elements

  Returns:
    list of `error-page`

### removeAllJspConfig

    WebFragment30Descriptor removeAllJspConfig()

  Removes all `jsp-config` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### jspConfig

    JspConfigType<WebFragment30Descriptor> jspConfig()

  Returns the `jsp-config` element

  Returns:
    the node defined for the element `jsp-config`

### getJspConfigList

    java.util.List<JspConfigType<WebFragment30Descriptor>> getJspConfigList()

  Returns all `jsp-config` elements

  Returns:
    list of `jsp-config`

### removeAllSecurityConstraint

    WebFragment30Descriptor removeAllSecurityConstraint()

  Removes all `security-constraint` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### securityConstraint

    SecurityConstraintType<WebFragment30Descriptor> securityConstraint()

  Returns the `security-constraint` element

  Returns:
    the node defined for the element `security-constraint`

### getSecurityConstraintList

    java.util.List<SecurityConstraintType<WebFragment30Descriptor>> getSecurityConstraintList()

  Returns all `security-constraint` elements

  Returns:
    list of `security-constraint`

### removeAllLoginConfig

    WebFragment30Descriptor removeAllLoginConfig()

  Removes all `login-config` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### loginConfig

    LoginConfigType<WebFragment30Descriptor> loginConfig()

  Returns the `login-config` element

  Returns:
    the node defined for the element `login-config`

### getLoginConfigList

    java.util.List<LoginConfigType<WebFragment30Descriptor>> getLoginConfigList()

  Returns all `login-config` elements

  Returns:
    list of `login-config`

### removeAllSecurityRole

    WebFragment30Descriptor removeAllSecurityRole()

  Removes all `security-role` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### securityRole

    SecurityRoleType<WebFragment30Descriptor> securityRole()

  Returns the `security-role` element

  Returns:
    the node defined for the element `security-role`

### getSecurityRoleList

    java.util.List<SecurityRoleType<WebFragment30Descriptor>> getSecurityRoleList()

  Returns all `security-role` elements

  Returns:
    list of `security-role`

### removeAllMessageDestination

    WebFragment30Descriptor removeAllMessageDestination()

  Removes all `message-destination` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### messageDestination

    MessageDestinationType<WebFragment30Descriptor> messageDestination()

  Returns the `message-destination` element

  Returns:
    the node defined for the element `message-destination`

### getMessageDestinationList

    java.util.List<MessageDestinationType<WebFragment30Descriptor>> getMessageDestinationList()

  Returns all `message-destination` elements

  Returns:
    list of `message-destination`

### removeAllLocaleEncodingMappingList

    WebFragment30Descriptor removeAllLocaleEncodingMappingList()

  Removes all `locale-encoding-mapping-list` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### localeEncodingMappingList

    LocaleEncodingMappingListType<WebFragment30Descriptor> localeEncodingMappingList()

  Returns the `locale-encoding-mapping-list` element

  Returns:
    the node defined for the element `locale-encoding-mapping-list`

### getLocaleEncodingMappingListList

    java.util.List<LocaleEncodingMappingListType<WebFragment30Descriptor>> getLocaleEncodingMappingListList()

  Returns all `locale-encoding-mapping-list` elements

  Returns:
    list of `locale-encoding-mapping-list`

### setDescription

    WebFragment30Descriptor setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `WebFragment30Descriptor`

### setDescriptionList

    WebFragment30Descriptor setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `WebFragment30Descriptor`

### removeAllDescription

    WebFragment30Descriptor removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `WebFragment30Descriptor`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setDisplayName

    WebFragment30Descriptor setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Returns:
    the current instance of `WebFragment30Descriptor`

### setDisplayNameList

    WebFragment30Descriptor setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `WebFragment30Descriptor`

### removeAllDisplayName

    WebFragment30Descriptor removeAllDisplayName()

  Removes the `display-name` element

  Returns:
    the current instance of `WebFragment30Descriptor`

### getDisplayNameList

    java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Returns:
    list of `display-name`

### removeAllIcon

    WebFragment30Descriptor removeAllIcon()

  Removes all `icon` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### icon

    IconType<WebFragment30Descriptor> icon()

  Returns the `icon` element

  Returns:
    the node defined for the element `icon`

### getIconList

    java.util.List<IconType<WebFragment30Descriptor>> getIconList()

  Returns all `icon` elements

  Returns:
    list of `icon`

### removeAllEnvEntry

    WebFragment30Descriptor removeAllEnvEntry()

  Removes all `env-entry` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### envEntry

    EnvEntryType<WebFragment30Descriptor> envEntry()

  Returns the `env-entry` element

  Returns:
    the node defined for the element `env-entry`

### getEnvEntryList

    java.util.List<EnvEntryType<WebFragment30Descriptor>> getEnvEntryList()

  Returns all `env-entry` elements

  Returns:
    list of `env-entry`

### removeAllEjbRef

    WebFragment30Descriptor removeAllEjbRef()

  Removes all `ejb-ref` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### ejbRef

    EjbRefType<WebFragment30Descriptor> ejbRef()

  Returns the `ejb-ref` element

  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    java.util.List<EjbRefType<WebFragment30Descriptor>> getEjbRefList()

  Returns all `ejb-ref` elements

  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    WebFragment30Descriptor removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### ejbLocalRef

    EjbLocalRefType<WebFragment30Descriptor> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    java.util.List<EjbLocalRefType<WebFragment30Descriptor>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Returns:
    list of `ejb-local-ref`

### removeAllResourceRef

    WebFragment30Descriptor removeAllResourceRef()

  Removes all `resource-ref` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### resourceRef

    ResourceRefType<WebFragment30Descriptor> resourceRef()

  Returns the `resource-ref` element

  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    java.util.List<ResourceRefType<WebFragment30Descriptor>> getResourceRefList()

  Returns all `resource-ref` elements

  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    WebFragment30Descriptor removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### resourceEnvRef

    ResourceEnvRefType<WebFragment30Descriptor> resourceEnvRef()

  Returns the `resource-env-ref` element

  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    java.util.List<ResourceEnvRefType<WebFragment30Descriptor>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    WebFragment30Descriptor removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### messageDestinationRef

    MessageDestinationRefType<WebFragment30Descriptor> messageDestinationRef()

  Returns the `message-destination-ref` element

  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    java.util.List<MessageDestinationRefType<WebFragment30Descriptor>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Returns:
    list of `message-destination-ref`

### removeAllPersistenceContextRef

    WebFragment30Descriptor removeAllPersistenceContextRef()

  Removes all `persistence-context-ref` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### persistenceContextRef

    PersistenceContextRefType<WebFragment30Descriptor> persistenceContextRef()

  Returns the `persistence-context-ref` element

  Returns:
    the node defined for the element `persistence-context-ref`

### getPersistenceContextRefList

    java.util.List<PersistenceContextRefType<WebFragment30Descriptor>> getPersistenceContextRefList()

  Returns all `persistence-context-ref` elements

  Returns:
    list of `persistence-context-ref`

### removeAllPersistenceUnitRef

    WebFragment30Descriptor removeAllPersistenceUnitRef()

  Removes all `persistence-unit-ref` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### persistenceUnitRef

    PersistenceUnitRefType<WebFragment30Descriptor> persistenceUnitRef()

  Returns the `persistence-unit-ref` element

  Returns:
    the node defined for the element `persistence-unit-ref`

### getPersistenceUnitRefList

    java.util.List<PersistenceUnitRefType<WebFragment30Descriptor>> getPersistenceUnitRefList()

  Returns all `persistence-unit-ref` elements

  Returns:
    list of `persistence-unit-ref`

### removeAllPostConstruct

    WebFragment30Descriptor removeAllPostConstruct()

  Removes all `post-construct` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### postConstruct

    LifecycleCallbackType<WebFragment30Descriptor> postConstruct()

  Returns the `post-construct` element

  Returns:
    the node defined for the element `post-construct`

### getPostConstructList

    java.util.List<LifecycleCallbackType<WebFragment30Descriptor>> getPostConstructList()

  Returns all `post-construct` elements

  Returns:
    list of `post-construct`

### removeAllPreDestroy

    WebFragment30Descriptor removeAllPreDestroy()

  Removes all `pre-destroy` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### preDestroy

    LifecycleCallbackType<WebFragment30Descriptor> preDestroy()

  Returns the `pre-destroy` element

  Returns:
    the node defined for the element `pre-destroy`

### getPreDestroyList

    java.util.List<LifecycleCallbackType<WebFragment30Descriptor>> getPreDestroyList()

  Returns all `pre-destroy` elements

  Returns:
    list of `pre-destroy`

### removeAllDataSource

    WebFragment30Descriptor removeAllDataSource()

  Removes all `data-source` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### dataSource

    DataSourceType<WebFragment30Descriptor> dataSource()

  Returns the `data-source` element

  Returns:
    the node defined for the element `data-source`

### getDataSourceList

    java.util.List<DataSourceType<WebFragment30Descriptor>> getDataSourceList()

  Returns all `data-source` elements

  Returns:
    list of `data-source`

### setVersion

    WebFragment30Descriptor setVersion(WebAppVersionType version)

  Sets the `version` attribute

  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `WebFragment30Descriptor`

### setVersion

    WebFragment30Descriptor setVersion(java.lang.String version)

  Sets the `version` attribute

  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `WebFragment30Descriptor`

### removeVersion

    WebFragment30Descriptor removeVersion()

  Removes the `version` attribute

  Returns:
    the current instance of `WebFragment30Descriptor`

### getVersion

    WebAppVersionType getVersion()

  Returns the `version` element

  Returns:
    the node defined for the element `version`

### getVersionAsString

    java.lang.String getVersionAsString()

  Returns the `version` element

  Returns:
    the node defined for the element `version`

### setMetadataComplete

    WebFragment30Descriptor setMetadataComplete(java.lang.Boolean metadataComplete)

  Sets the `metadata-complete` attribute

  Parameters:
    `metadataComplete` - the value for the attribute `metadata-complete`
  Returns:
    the current instance of `WebFragment30Descriptor`

### removeMetadataComplete

    WebFragment30Descriptor removeMetadataComplete()

  Removes the `metadata-complete` attribute

  Returns:
    the current instance of `WebFragment30Descriptor`

### isMetadataComplete

    java.lang.Boolean isMetadataComplete()

  Returns the `metadata-complete` element

  Returns:
    the node defined for the element `metadata-complete`

### setName

    WebFragment30Descriptor setName(java.lang.String name)

  Creates a new `name` element

  Returns:
    the current instance of `WebFragment30Descriptor`

### setNameList

    WebFragment30Descriptor setNameList(java.lang.String... values)

  Creates for all String objects representing `name` elements, a new `name` element

  Parameters:
    `list` - of `name` objects
  Returns:
    the current instance of `WebFragment30Descriptor`

### removeAllName

    WebFragment30Descriptor removeAllName()

  Removes the `name` element

  Returns:
    the current instance of `WebFragment30Descriptor`

### getNameList

    java.util.List<java.lang.String> getNameList()

  Returns all `name` elements

  Returns:
    list of `name`

### removeAllOrdering

    WebFragment30Descriptor removeAllOrdering()

  Removes all `ordering` elements

  Returns:
    the current instance of `WebFragment30Descriptor`

### ordering

    OrderingType<WebFragment30Descriptor> ordering()

  Returns the `ordering` element

  Returns:
    the node defined for the element `ordering`

### getOrderingList

    java.util.List<OrderingType<WebFragment30Descriptor>> getOrderingList()

  Returns all `ordering` elements

  Returns:
    list of `ordering`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD